Subject: Ticket Assigned - Cancel my order
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 31 Dec 2021 09:20:05 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Cancel my order Good morning

Kindly cancel my online order ..
As I'm waiting for more than one month now .. I contacted customer service
twice .. also the responsible for delivery .. I tried writ to us .. I can't
find any details now on the app ... I don't want it anymore.

Total order 520 le
Alexandria, Egypt Elnaquib Ali Abdo street janaklees

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3649446